Name:		surf-geometry
Version:	1.0.6
Summary:	Tool to visualize some real algebraic geometry
Release:	11%{?dist}
Source0:	http://downloads.sourceforge.net/surf/surf-%{version}.tar.gz
Source1:	%{name}.module.in
URL:		http://surf.sourceforge.net/
License:	GPLv2+
Group:		Applications/Engineering
BuildRequires:	flex-static
BuildRequires:	cups-devel
BuildRequires:	gmp-devel
BuildRequires:	gtk+-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libXmu-devel
BuildRequires:	libtiff-devel
BuildRequires:	zlib-devel
Requires:	environment-modules

%description
surf is a tool to visualize some real algebraic geometry:
plane algebraic curves, algebraic surfaces and hyperplane sections of surfaces.
surf is script driven and has (optionally) a nifty GUI using the Gtk widget set.

%prep
%setup -q -n surf-%{version}
# Avoid extra directory and install binary and xpm file in same directory
sed -i 's|^\(pkgdatadir = $(datadir)\)/@PACKAGE@|\1|' Makefile.in
sed -i 's|/surf\(/surf\.xpm\)|\1|' gtkgui/showAbout.cc
chmod -x gtkgui/PrintImageDialog.{cc,h}

%build
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS=$CFLAGS

%configure \
    --bindir=%{_libdir}/%{name} \
    --datadir=%{_libdir}/%{name} \
    --with-gmp=%{_prefix} \
    --with-gtk=%{_prefix} \
    --with-x
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

# Based on 4ti2.spec
mkdir -p $RPM_BUILD_ROOT%{_datadir}/Modules/modulefiles
sed 's#@BINDIR@#'%{_libdir}/%{name}'#g;' < %{SOURCE1} > \
    $RPM_BUILD_ROOT%{_datadir}/Modules/modulefiles/%{name}-%{_arch} 

mv $RPM_BUILD_ROOT%{_mandir}/man1/surf.1 \
    $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

%files
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS
%doc README
%doc TODO
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/Modules/modulefiles/%{name}-%{_arch}

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 21 2013 Adam Tkac <atkac redhat com> - 1.0.6-7
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 1.0.6-6
- rebuild against new libjpeg

* Thu Dec 20 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.0.6-5
- Adhere to Static Library Packaging Guidelines (#889176)

* Wed Aug 29 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.0.6-4
- Correct download link (#840244)
- Do not mix rpmbuild macros and environment variables (#840244)
- Consistently use %%{name} (#840244)
- Remove executable bit from some sources (#840244)

* Sun Aug 26 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.0.6-3
- Rename from Singular-surf to surf-geometry (#840244)
- Use enviroment-modules to avoid conflicts with surf package (#840244)

* Thu Jul 19 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.0.6-2
- Correct %%{?dist} tag.
- List base directory instead of directory and a single file.

* Sat Jul 14 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.0.6-1
- Initial Singular-surf spec.
